webpackJsonp([1,4],{

/***/ 103:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__schema_keys_store_service__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash__ = __webpack_require__(134);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_lodash__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JsonUtilsService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var JsonUtilsService = (function () {
    function JsonUtilsService(schemaKeysStoreService) {
        this.schemaKeysStoreService = schemaKeysStoreService;
    }
    JsonUtilsService.prototype.filterObjectArray = function (jsonArray, filterExpression) {
        var _this = this;
        return jsonArray.map(function (record) { return _this.filterObject(record, [filterExpression]); })
            .filter(function (value) { return !_this.isEmpty(value); });
    };
    JsonUtilsService.prototype.filterObject = function (json, paths) {
        var _this = this;
        var result = {};
        paths.forEach(function (path) {
            var filteredObject = _this.filterObjectRecursively(json, path);
            if (filteredObject) {
                __WEBPACK_IMPORTED_MODULE_2_lodash__["merge"](result, filteredObject);
            }
        });
        this.cleanup(result);
        return result;
    };
    JsonUtilsService.prototype.filterObjectRecursively = function (json, path, pathIdx) {
        var _this = this;
        if (pathIdx === void 0) { pathIdx = 0; }
        var pathSplit = path.split(this.schemaKeysStoreService.separator);
        var currentPath = pathIdx < pathSplit.length ? pathSplit[pathIdx] : undefined;
        if (!currentPath) {
            return json;
        }
        if (!json[currentPath]) {
            return undefined;
        }
        if (Array.isArray(json[currentPath])) {
            return _a = {}, _a[currentPath] = json[currentPath].map(function (element) { return _this.filterObjectRecursively(element, path, pathIdx + 1); }), _a;
        }
        else if (typeof json[currentPath] === 'object') {
            var res = this.filterObjectRecursively(json[currentPath], path, pathIdx + 1);
            if (!this.isEmpty(res)) {
                return _b = {}, _b[currentPath] = res, _b;
            }
            else {
                return undefined;
            }
        }
        else {
            return _c = {}, _c[currentPath] = json[currentPath], _c;
        }
        var _a, _b, _c;
    };
    JsonUtilsService.prototype.cleanup = function (value) {
        var _this = this;
        if (Array.isArray(value)) {
            // backwards loop because elements might be removed
            for (var i = value.length - 1; i >= 0; i--) {
                if (typeof value[i] === 'object') {
                    this.cleanup(value[i]);
                }
                if (this.isEmpty(value[i])) {
                    value.splice(i, 1);
                }
            }
        }
        else {
            Object.keys(value)
                .forEach(function (key) {
                if (typeof value[key] === 'object') {
                    _this.cleanup(value[key]);
                }
                if (_this.isEmpty(value[key])) {
                    delete value[key];
                }
            });
        }
    };
    JsonUtilsService.prototype.isEmpty = function (value) {
        // undefined
        if (value === undefined) {
            return true;
        }
        // string or object
        var valueType = typeof value;
        if (valueType === 'string' || valueType === 'object') {
            return Object.keys(value).length === 0;
        }
        // boolean or number
        return false;
    };
    return JsonUtilsService;
}());
JsonUtilsService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["d" /* Injectable */])(),
    __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__schema_keys_store_service__["a" /* SchemaKeysStoreService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__schema_keys_store_service__["a" /* SchemaKeysStoreService */]) === "function" && _a || Object])
], JsonUtilsService);

var _a;
//# sourceMappingURL=json-utils.service.js.map

/***/ }),

/***/ 104:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return environment; });
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.
// The file contents for the current environment will overwrite these during build.
var environment = {
    production: false,
    baseUrl: 'http://localhost:5000'
};
//# sourceMappingURL=environment.js.map

/***/ }),

/***/ 105:
/***/ (function(module, exports) {

function webpackEmptyContext(req) {
	throw new Error("Cannot find module '" + req + "'.");
}
webpackEmptyContext.keys = function() { return []; };
webpackEmptyContext.resolve = webpackEmptyContext;
module.exports = webpackEmptyContext;
webpackEmptyContext.id = 105;


/***/ }),

/***/ 130:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, ".button {\n  margin-top: 10px;\n  margin-bottom: 20px;\n  display: inline-block;\n  padding: 4px 6px;\n  font-size: 12px;\n  cursor: pointer;\n  text-align: center;\n  text-decoration: none;\n  outline: none;\n  border-radius: 5px; }\n\n.page-selector {\n  width: 60px; }\n\n.selectButtons {\n  float: right; }\n\n.me-container {\n  margin-top: 20px; }\n\n.error {\n  color: red; }\n\n.results-checkbox {\n  margin-top: -1px; }\n\n.results-record-num {\n  display: -webkit-box;\n  display: -ms-flexbox;\n  display: flex;\n  -webkit-box-pack: end;\n      -ms-flex-pack: end;\n          justify-content: flex-end; }\n\n.preview-border {\n  border-bottom: 2px solid;\n  border-color: #dae8ef;\n  margin-bottom: 10px; }\n\n.tag-filter {\n  padding: 10px 0; }\n", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 190:
/***/ (function(module, exports) {

function webpackEmptyContext(req) {
	throw new Error("Cannot find module '" + req + "'.");
}
webpackEmptyContext.keys = function() { return []; };
webpackEmptyContext.resolve = webpackEmptyContext;
module.exports = webpackEmptyContext;
webpackEmptyContext.id = 190;


/***/ }),

/***/ 191:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser_dynamic__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_module__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__environments_environment__ = __webpack_require__(104);




if (__WEBPACK_IMPORTED_MODULE_3__environments_environment__["a" /* environment */].production) {
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["a" /* enableProdMode */])();
}
__webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_2__app_app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 198:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__ = __webpack_require__(35);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ActionTemplateComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var ActionTemplateComponent = (function () {
    function ActionTemplateComponent() {
    }
    ActionTemplateComponent.prototype.trackByFunction = function (index) {
        return index;
    };
    return ActionTemplateComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["b" /* Action */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["b" /* Action */]) === "function" && _a || Object)
], ActionTemplateComponent.prototype, "action", void 0);
ActionTemplateComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-action',
        template: __webpack_require__(462),
        styles: [__webpack_require__(309)]
    })
], ActionTemplateComponent);

var _a;
//# sourceMappingURL=action.component.js.map

/***/ }),

/***/ 199:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__action_component__ = __webpack_require__(198);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__action_component__["a"]; });

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 200:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shared_services__ = __webpack_require__(27);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ActionsComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var ActionsComponent = (function () {
    function ActionsComponent(appGlobalsService, userActionsService) {
        this.appGlobalsService = appGlobalsService;
        this.userActionsService = userActionsService;
        this.selectedAction = 'Addition';
    }
    ;
    ActionsComponent.prototype.ngOnInit = function () {
        this.userActions = this.userActionsService.getUserActions();
        this.userActionsService.addDefaultAction(this.selectedAction, this.matchTypes[0]);
        this.userActionsService.addDefaultCondition(this.matchTypes[0]);
    };
    Object.defineProperty(ActionsComponent.prototype, "matchTypes", {
        get: function () {
            return this.appGlobalsService.matchTypes;
        },
        enumerable: true,
        configurable: true
    });
    ActionsComponent.prototype.addAction = function () {
        this.userActionsService.addDefaultAction(this.selectedAction, this.matchTypes[0]);
    };
    ActionsComponent.prototype.addCondition = function () {
        this.userActionsService.addDefaultCondition(this.matchTypes[0]);
    };
    ActionsComponent.prototype.onRemoveAction = function (index) {
        this.userActionsService.removeAction(index);
    };
    ActionsComponent.prototype.onRemoveCondition = function (index) {
        this.userActionsService.removeCondition(index);
    };
    ActionsComponent.prototype.onActionChange = function (actionType) {
        var _this = this;
        this.selectedAction = actionType;
        this.userActions.actions
            .forEach(function (value, index) {
            _this.userActions.actions[index].actionName = actionType;
        });
    };
    return ActionsComponent;
}());
ActionsComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-actions',
        template: __webpack_require__(463),
        styles: [__webpack_require__(310)]
    }),
    __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__shared_services__["b" /* AppGlobalsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_services__["b" /* AppGlobalsService */]) === "function" && _a || Object, typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_1__shared_services__["c" /* UserActionsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_services__["c" /* UserActionsService */]) === "function" && _b || Object])
], ActionsComponent);

var _a, _b;
//# sourceMappingURL=actions.component.js.map

/***/ }),

/***/ 201:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shared_services_schema_keys_store_service__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shared_interfaces__ = __webpack_require__(35);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddActionComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var AddActionComponent = (function () {
    function AddActionComponent(schemaKeysStoreService) {
        this.schemaKeysStoreService = schemaKeysStoreService;
        this.isEditorVisible = false;
        this.isInputField = false;
        this.record = {};
    }
    AddActionComponent.prototype.saveRecord = function (record) {
        // if user is adding a premitive key return only the value
        this.action.value = this.subSchema['alwaysShow'] ? record[Object.keys(record)[0]] : record;
    };
    AddActionComponent.prototype.closeEditor = function () {
        this.isEditorVisible = false;
    };
    AddActionComponent.prototype.onValueChange = function (value) {
        this.action.mainKey = value;
        this.subSchema = this.schemaKeysStoreService.findSubschema(this.action.mainKey);
        this.action.value = {};
        this.isEditorVisible = true;
    };
    return AddActionComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_2__shared_interfaces__["b" /* Action */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_interfaces__["b" /* Action */]) === "function" && _a || Object)
], AddActionComponent.prototype, "action", void 0);
AddActionComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-addition-action',
        template: __webpack_require__(464),
        styles: [__webpack_require__(311)]
    }),
    __metadata("design:paramtypes", [typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_1__shared_services_schema_keys_store_service__["a" /* SchemaKeysStoreService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_services_schema_keys_store_service__["a" /* SchemaKeysStoreService */]) === "function" && _b || Object])
], AddActionComponent);

var _a, _b;
//# sourceMappingURL=add-action.component.js.map

/***/ }),

/***/ 202:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var AppComponent = (function () {
    function AppComponent() {
    }
    return AppComponent;
}());
AppComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-multi-app',
        template: __webpack_require__(465),
        styles: [__webpack_require__(312)]
    })
], AppComponent);

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 203:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(33);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_component__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__multi_editor__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__shared__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ngx_bootstrap_alert__ = __webpack_require__(441);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_ngx_bootstrap_pagination__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_ngx_bootstrap_dropdown__ = __webpack_require__(151);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__action__ = __webpack_require__(199);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__actions_actions_component__ = __webpack_require__(200);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__diff_view_diff_view_component__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13_ng2_json_editor__ = __webpack_require__(344);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14_ngx_bootstrap_typeahead__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__add_action_add_action_component__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__delete_action_delete_action_component__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__update_action_update_action_component__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__conditions_conditions_component__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__editor_toolbar_container_editor_toolbar_container_component__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__editor_toolbar_container_editor_toolbar_save_editor_toolbar_save_component__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__editor_toolbar_container_editor_toolbar_search_editor_toolbar_search_component__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__autocomplete_input__ = __webpack_require__(205);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};























var AppModule = (function () {
    function AppModule() {
    }
    return AppModule;
}());
AppModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__angular_core__["b" /* NgModule */])({
        declarations: __WEBPACK_IMPORTED_MODULE_6__shared__["a" /* SHARED_PIPES */].concat([
            __WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* AppComponent */],
            __WEBPACK_IMPORTED_MODULE_5__multi_editor__["a" /* MultiEditorComponent */],
            __WEBPACK_IMPORTED_MODULE_10__action__["a" /* ActionTemplateComponent */],
            __WEBPACK_IMPORTED_MODULE_11__actions_actions_component__["a" /* ActionsComponent */],
            __WEBPACK_IMPORTED_MODULE_22__autocomplete_input__["a" /* AutocompleteInputComponent */],
            __WEBPACK_IMPORTED_MODULE_12__diff_view_diff_view_component__["a" /* DiffViewComponent */],
            __WEBPACK_IMPORTED_MODULE_15__add_action_add_action_component__["a" /* AddActionComponent */],
            __WEBPACK_IMPORTED_MODULE_16__delete_action_delete_action_component__["a" /* DeleteActionComponent */],
            __WEBPACK_IMPORTED_MODULE_17__update_action_update_action_component__["a" /* UpdateActionComponent */],
            __WEBPACK_IMPORTED_MODULE_18__conditions_conditions_component__["a" /* ConditionsComponent */],
            __WEBPACK_IMPORTED_MODULE_19__editor_toolbar_container_editor_toolbar_container_component__["a" /* EditorToolbarContainerComponent */],
            __WEBPACK_IMPORTED_MODULE_20__editor_toolbar_container_editor_toolbar_save_editor_toolbar_save_component__["a" /* EditorToolbarSaveComponent */],
            __WEBPACK_IMPORTED_MODULE_21__editor_toolbar_container_editor_toolbar_search_editor_toolbar_search_component__["a" /* EditorToolbarSearchComponent */],
        ]),
        imports: [
            __WEBPACK_IMPORTED_MODULE_9_ngx_bootstrap_dropdown__["a" /* BsDropdownModule */].forRoot(),
            __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormsModule */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* HttpModule */],
            __WEBPACK_IMPORTED_MODULE_7_ngx_bootstrap_alert__["a" /* AlertModule */].forRoot(),
            __WEBPACK_IMPORTED_MODULE_8_ngx_bootstrap_pagination__["a" /* PaginationModule */].forRoot(),
            __WEBPACK_IMPORTED_MODULE_13_ng2_json_editor__["a" /* JsonEditorModule */],
            __WEBPACK_IMPORTED_MODULE_14_ngx_bootstrap_typeahead__["a" /* TypeaheadModule */].forRoot()
        ],
        providers: __WEBPACK_IMPORTED_MODULE_6__shared__["b" /* SHARED_SERVICES */],
        bootstrap: [__WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* AppComponent */]]
    })
], AppModule);

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 204:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shared_services_schema_keys_store_service__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_do__ = __webpack_require__(483);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_do___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_do__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map__ = __webpack_require__(99);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AutocompleteInputComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var AutocompleteInputComponent = (function () {
    function AutocompleteInputComponent(schemaKeysStoreService) {
        var _this = this;
        this.schemaKeysStoreService = schemaKeysStoreService;
        this.valueChange = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["G" /* EventEmitter */]();
        this.value = '';
        this.separator = '/';
        this.currentPath = '';
        this.typeaheadNoResults = false;
        this.dataSource = __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"]
            .create(function (observer) {
            observer.next(_this.value);
        })
            .map(function (inputValue) { return _this.getStateForValue(inputValue); })
            .do(function (state) {
            _this.currentPath = state.path;
        })
            .mergeMap(function (state) {
            return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].of(_this.schemaKeysStoreService.forPath(state.path).filter(function (item) { return item.startsWith(state.query); }));
        });
    }
    AutocompleteInputComponent.prototype.selectUserInput = function (event) {
        this.value = this.currentPath !== '' ? "" + this.currentPath + this.separator + event.value : event.value;
        this.valueChange.emit(this.value);
    };
    AutocompleteInputComponent.prototype.getStateForValue = function (value) {
        var path = '';
        var query = '';
        var separatorIndex = value.lastIndexOf(this.separator);
        if (separatorIndex < 0) {
            path = '';
            query = value;
        }
        else if (separatorIndex === value.length - 1) {
            path = value.slice(0, -1);
            query = '';
        }
        else {
            path = value.slice(0, separatorIndex);
            query = value.slice(separatorIndex + 1);
        }
        return { path: path, query: query };
    };
    return AutocompleteInputComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", Object)
], AutocompleteInputComponent.prototype, "className", void 0);
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", Object)
], AutocompleteInputComponent.prototype, "placeholder", void 0);
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_0" /* Output */])(),
    __metadata("design:type", Object)
], AutocompleteInputComponent.prototype, "valueChange", void 0);
AutocompleteInputComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-autocomplete-input',
        template: __webpack_require__(466),
        styles: [__webpack_require__(313)],
        changeDetection: __WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ChangeDetectionStrategy */].OnPush
    }),
    __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__shared_services_schema_keys_store_service__["a" /* SchemaKeysStoreService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_services_schema_keys_store_service__["a" /* SchemaKeysStoreService */]) === "function" && _a || Object])
], AutocompleteInputComponent);

var _a;
//# sourceMappingURL=autocomplete-input.component.js.map

/***/ }),

/***/ 205:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__autocomplete_input_component__ = __webpack_require__(204);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__autocomplete_input_component__["a"]; });

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 206:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shared_services__ = __webpack_require__(27);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ConditionsComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var ConditionsComponent = (function () {
    function ConditionsComponent(appGlobalsService) {
        this.appGlobalsService = appGlobalsService;
    }
    Object.defineProperty(ConditionsComponent.prototype, "matchTypes", {
        get: function () {
            return this.appGlobalsService.matchTypes;
        },
        enumerable: true,
        configurable: true
    });
    ConditionsComponent.prototype.trackByFunction = function (index) {
        return index;
    };
    return ConditionsComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["a" /* Condition */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["a" /* Condition */]) === "function" && _a || Object)
], ConditionsComponent.prototype, "condition", void 0);
ConditionsComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-conditions',
        template: __webpack_require__(467),
        styles: [__webpack_require__(314)]
    }),
    __metadata("design:paramtypes", [typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services__["b" /* AppGlobalsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services__["b" /* AppGlobalsService */]) === "function" && _b || Object])
], ConditionsComponent);

var _a, _b;
//# sourceMappingURL=conditions.component.js.map

/***/ }),

/***/ 207:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shared_services__ = __webpack_require__(27);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DeleteActionComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var DeleteActionComponent = (function () {
    function DeleteActionComponent(appGlobalsService) {
        this.appGlobalsService = appGlobalsService;
    }
    Object.defineProperty(DeleteActionComponent.prototype, "matchTypes", {
        get: function () {
            return this.appGlobalsService.matchTypes;
        },
        enumerable: true,
        configurable: true
    });
    DeleteActionComponent.prototype.trackByFunction = function (index) {
        return index;
    };
    return DeleteActionComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["b" /* Action */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["b" /* Action */]) === "function" && _a || Object)
], DeleteActionComponent.prototype, "action", void 0);
DeleteActionComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-delete-action',
        template: __webpack_require__(468),
        styles: [__webpack_require__(315)]
    }),
    __metadata("design:paramtypes", [typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services__["b" /* AppGlobalsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services__["b" /* AppGlobalsService */]) === "function" && _b || Object])
], DeleteActionComponent);

var _a, _b;
//# sourceMappingURL=delete-action.component.js.map

/***/ }),

/***/ 208:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_diff__ = __webpack_require__(129);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_diff___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_diff__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DiffViewComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var DiffViewComponent = (function () {
    function DiffViewComponent() {
    }
    DiffViewComponent.prototype.ngOnChanges = function (changes) {
        if ((changes['oldObject'] || changes['newObject']) && this.newObject) {
            this.diffObjects = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_diff__["diffJson"])(this.oldObject, this.newObject);
        }
    };
    return DiffViewComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", Object)
], DiffViewComponent.prototype, "oldObject", void 0);
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", Object)
], DiffViewComponent.prototype, "newObject", void 0);
DiffViewComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-diff-view',
        template: __webpack_require__(469),
        styles: [__webpack_require__(316)]
    }),
    __metadata("design:paramtypes", [])
], DiffViewComponent);

//# sourceMappingURL=diff-view.component.js.map

/***/ }),

/***/ 209:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditorToolbarContainerComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var EditorToolbarContainerComponent = (function () {
    function EditorToolbarContainerComponent() {
        this.onSearchRecordClick = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["G" /* EventEmitter */]();
        this.onCollectionChange = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["G" /* EventEmitter */]();
    }
    EditorToolbarContainerComponent.prototype._onCollectionChange = function (collection) {
        this.onCollectionChange.emit(collection);
    };
    EditorToolbarContainerComponent.prototype._onSearchRecordClick = function (query) {
        this.onSearchRecordClick.emit(query);
    };
    return EditorToolbarContainerComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_0" /* Output */])(),
    __metadata("design:type", Object)
], EditorToolbarContainerComponent.prototype, "onSearchRecordClick", void 0);
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_0" /* Output */])(),
    __metadata("design:type", Object)
], EditorToolbarContainerComponent.prototype, "onCollectionChange", void 0);
EditorToolbarContainerComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-editor-toolbar-container',
        template: __webpack_require__(470),
        styles: [__webpack_require__(317)]
    })
], EditorToolbarContainerComponent);

//# sourceMappingURL=editor-toolbar-container.component.js.map

/***/ }),

/***/ 210:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditorToolbarSaveComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var EditorToolbarSaveComponent = (function () {
    function EditorToolbarSaveComponent() {
    }
    return EditorToolbarSaveComponent;
}());
EditorToolbarSaveComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-editor-toolbar-save',
        template: __webpack_require__(471),
        styles: [__webpack_require__(130)]
    })
], EditorToolbarSaveComponent);

//# sourceMappingURL=editor-toolbar-save.component.js.map

/***/ }),

/***/ 211:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditorToolbarSearchComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var EditorToolbarSearchComponent = (function () {
    function EditorToolbarSearchComponent() {
        this.selectedCollection = 'hep';
        this.query = '';
        this.onSearchRecordClick = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["G" /* EventEmitter */]();
        this.onCollectionChange = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["G" /* EventEmitter */]();
        this.collections = [
            { name: 'hep', value: 'Literature' },
            { name: 'authors', value: 'Authors' },
            { name: 'data', value: 'Data' },
            { name: 'conferences', value: 'Conferences' },
            { name: 'jobs', value: 'Jobs' },
            { name: 'institutions', value: 'Institutions' },
            { name: 'experiments', value: 'Experiments' },
            { name: 'journals', value: 'Journals' }
        ];
    }
    EditorToolbarSearchComponent.prototype._onSearchRecordClick = function (query) {
        this.onSearchRecordClick.emit(query);
    };
    EditorToolbarSearchComponent.prototype._onCollectionChange = function (collection) {
        this.selectedCollection = collection;
        this.onCollectionChange.emit(collection);
    };
    return EditorToolbarSearchComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_0" /* Output */])(),
    __metadata("design:type", Object)
], EditorToolbarSearchComponent.prototype, "onSearchRecordClick", void 0);
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_0" /* Output */])(),
    __metadata("design:type", Object)
], EditorToolbarSearchComponent.prototype, "onCollectionChange", void 0);
EditorToolbarSearchComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-editor-toolbar-search',
        template: __webpack_require__(472)
    })
], EditorToolbarSearchComponent);

//# sourceMappingURL=editor-toolbar-search.component.js.map

/***/ }),

/***/ 212:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__multi_editor_component__ = __webpack_require__(213);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__multi_editor_component__["a"]; });

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_toPromise__ = __webpack_require__(487);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_toPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_toPromise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shared_services__ = __webpack_require__(27);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MultiEditorComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var MultiEditorComponent = (function () {
    function MultiEditorComponent(schemaKeysStoreService, changeDetectorRef, queryService, userActionsService, jsonUtilsService) {
        this.schemaKeysStoreService = schemaKeysStoreService;
        this.changeDetectorRef = changeDetectorRef;
        this.queryService = queryService;
        this.userActionsService = userActionsService;
        this.jsonUtilsService = jsonUtilsService;
        this.currentPage = 1;
        this.totalRecords = -1;
        this.lastSearchedQuery = '';
        // records that are different from the general selection rule
        this.checkedRecords = [];
        this.previewMode = false;
        this.uuids = [];
        this.collections = [
            ['hep', 'HEP'],
            ['authors', 'Authors'],
            ['data', 'Data'],
            ['conferences', 'Conferences'],
            ['jobs', 'Jobs'],
            ['institutions', 'Institutions'],
            ['experiments', 'Experiments'],
            ['journals', 'Journals']
        ];
        this.pageSizes = [5, 10, 15, 20];
        this.pageSize = this.pageSizes[1];
    }
    MultiEditorComponent.prototype.ngOnInit = function () {
        this.newRecords = [];
        this.selectedCollection = this.collections[0][0];
        this.onCollectionChange('hep');
    };
    MultiEditorComponent.prototype.onSubmit = function () {
        var _this = this;
        this.queryService.submitActions(this.previewedActions, this.checkedRecords)
            .catch(function (error) {
            _this.errorText = error;
        });
    };
    Object.defineProperty(MultiEditorComponent.prototype, "userActions", {
        get: function () {
            return this.userActionsService.getUserActions();
        },
        enumerable: true,
        configurable: true
    });
    MultiEditorComponent.prototype.onPreviewClick = function () {
        var _this = this;
        this.previewedActions = this.userActions;
        this.queryService.previewActions(this.userActions, this.lastSearchedQuery, this.currentPage, this.pageSize)
            .then(function (res) {
            _this.newRecords = res['json_records'];
            _this.recordErrors = res['errors'];
            _this.previewMode = true;
            _this.changeDetectorRef.markForCheck();
        })
            .catch(function (error) {
            _this.errorText = error;
            _this.changeDetectorRef.markForCheck();
        });
    };
    MultiEditorComponent.prototype.onPageChange = function (page) {
        this.currentPage = page;
        this.previewMode ? this.getNewPageRecords() : this.queryCollection(this.lastSearchedQuery, this.lastSearchedCollection);
    };
    MultiEditorComponent.prototype.searchRecords = function (query) {
        this.lastSearchedCollection = this.selectedCollection;
        if (!query) {
            query = '';
        }
        this.lastSearchedQuery = query;
        this.queryCollection(query, this.selectedCollection);
    };
    MultiEditorComponent.prototype.onCollectionChange = function (selectedCollection) {
        var _this = this;
        this.selectedCollection = selectedCollection;
        this.queryService.fetchCollectionSchema(this.selectedCollection)
            .then(function (res) {
            _this.schema = res;
            _this.schemaKeysStoreService.buildSchemaKeyStore(_this.schema);
        })
            .catch(function (error) {
            _this.errorText = error;
            _this.changeDetectorRef.markForCheck();
        });
    };
    MultiEditorComponent.prototype.setPageSize = function (size) {
        this.pageSize = size;
        this.onPageChange(this.currentPage);
    };
    MultiEditorComponent.prototype.trackByFunction = function (index) {
        return index;
    };
    MultiEditorComponent.prototype.addChecked = function (uuid) {
        this.checkedRecords.includes(uuid) ? this.checkedRecords.splice(this.checkedRecords.indexOf(uuid), 1)
            : this.checkedRecords.push(uuid);
    };
    MultiEditorComponent.prototype.selectAll = function () {
        this.checkedRecords = [];
    };
    MultiEditorComponent.prototype.getNewPageRecords = function () {
        var _this = this;
        this.queryService
            .fetchNewPageRecords(this.previewedActions, this.lastSearchedQuery, this.currentPage, this.lastSearchedCollection, this.pageSize)
            .subscribe(function (json) {
            _this.records = json.oldRecords['json_records'];
            _this.uuids = json.oldRecords['uuids'];
            _this.newRecords = json.newRecords['json_records'];
            _this.recordErrors = json.newRecords['errors'];
            _this.changeDetectorRef.markForCheck();
        }, function (error) { _this.errorText = error; _this.changeDetectorRef.markForCheck(); });
    };
    MultiEditorComponent.prototype.filterNewRecord = function (record) {
        var _record = Object.assign({}, record);
        if (this.filterExpression) {
            return this.jsonUtilsService.filterObject(_record, [this.filterExpression]);
        }
        return record;
    };
    MultiEditorComponent.prototype.queryCollection = function (query, collection) {
        var _this = this;
        this.queryService.searchRecords(query, this.currentPage, collection, this.pageSize)
            .then(function (json) {
            _this.records = json['json_records'];
            _this.totalRecords = json['total_records'];
            _this.uuids = json['uuids'];
            _this.changeDetectorRef.markForCheck();
        })
            .catch(function (error) {
            _this.errorText = error;
            _this.changeDetectorRef.markForCheck();
        });
    };
    return MultiEditorComponent;
}());
MultiEditorComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-multi-editor',
        template: __webpack_require__(473),
        styles: [__webpack_require__(130)],
        changeDetection: __WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ChangeDetectionStrategy */].OnPush,
    }),
    __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services__["d" /* SchemaKeysStoreService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services__["d" /* SchemaKeysStoreService */]) === "function" && _a || Object, typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_0__angular_core__["Z" /* ChangeDetectorRef */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_0__angular_core__["Z" /* ChangeDetectorRef */]) === "function" && _b || Object, typeof (_c = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services__["e" /* QueryService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services__["e" /* QueryService */]) === "function" && _c || Object, typeof (_d = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services__["c" /* UserActionsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services__["c" /* UserActionsService */]) === "function" && _d || Object, typeof (_e = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services__["f" /* JsonUtilsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services__["f" /* JsonUtilsService */]) === "function" && _e || Object])
], MultiEditorComponent);

var _a, _b, _c, _d, _e;
//# sourceMappingURL=multi-editor.component.js.map

/***/ }),

/***/ 214:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__services__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__pipes__ = __webpack_require__(219);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_0__services__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_1__pipes__["a"]; });



//# sourceMappingURL=index.js.map

/***/ }),

/***/ 215:
/***/ (function(module, exports) {

//# sourceMappingURL=action.js.map

/***/ }),

/***/ 216:
/***/ (function(module, exports) {

//# sourceMappingURL=collection.js.map

/***/ }),

/***/ 217:
/***/ (function(module, exports) {

//# sourceMappingURL=condition.js.map

/***/ }),

/***/ 218:
/***/ (function(module, exports) {

//# sourceMappingURL=user-actions.js.map

/***/ }),

/***/ 219:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__tag_filter_pipe__ = __webpack_require__(220);
/* unused harmony reexport TagFilterPipe */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SHARED_PIPES; });

var SHARED_PIPES = [
    __WEBPACK_IMPORTED_MODULE_0__tag_filter_pipe__["a" /* TagFilterPipe */]
];

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 220:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__services_json_utils_service__ = __webpack_require__(103);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TagFilterPipe; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var TagFilterPipe = (function () {
    function TagFilterPipe(jsonUtilsService) {
        this.jsonUtilsService = jsonUtilsService;
    }
    TagFilterPipe.prototype.transform = function (records, filterExpression) {
        if (filterExpression) {
            return this.jsonUtilsService.filterObjectArray(records, filterExpression);
        }
        return records;
    };
    return TagFilterPipe;
}());
TagFilterPipe = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["c" /* Pipe */])({
        name: 'tagFilter'
    }),
    __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__services_json_utils_service__["a" /* JsonUtilsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__services_json_utils_service__["a" /* JsonUtilsService */]) === "function" && _a || Object])
], TagFilterPipe);

var _a;
//# sourceMappingURL=tag-filter.pipe.js.map

/***/ }),

/***/ 221:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppGlobalsService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var AppGlobalsService = (function () {
    function AppGlobalsService() {
        this.matchTypes = [
            'contains',
            'is equal to',
            'does not exist',
            'matches regular expression'
        ];
    }
    return AppGlobalsService;
}());
AppGlobalsService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["d" /* Injectable */])()
], AppGlobalsService);

//# sourceMappingURL=app-globals.service.js.map

/***/ }),

/***/ 222:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_observable_zip__ = __webpack_require__(480);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_observable_zip___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_observable_zip__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__environments_environment__ = __webpack_require__(104);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return QueryService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var QueryService = (function () {
    function QueryService(http) {
        this.http = http;
        this.url = __WEBPACK_IMPORTED_MODULE_4__environments_environment__["a" /* environment */].baseUrl + "/api/multieditor";
        this.schemaUrl = __WEBPACK_IMPORTED_MODULE_4__environments_environment__["a" /* environment */].baseUrl + "/schemas/records";
    }
    QueryService.prototype.submitActions = function (userActions, checkedRecords) {
        return this.http
            .post(this.url + "/update", {
            userActions: userActions,
            ids: checkedRecords,
        }).map(function (res) { return res.json(); })
            .toPromise();
    };
    QueryService.prototype.previewActions = function (userActions, queryString, pageNum, pageSize) {
        return this.http
            .post(this.url + "/preview", {
            userActions: userActions,
            queryString: queryString,
            pageNum: pageNum,
            pageSize: pageSize
        }).map(function (res) { return res.json(); })
            .toPromise();
    };
    QueryService.prototype.fetchNewPageRecords = function (userActions, queryString, page, collection, pageSize) {
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].zip(this.http
            .get(this.url + "/search?pageNum=" + page + "&query_string=" + queryString + "&index=" + collection + "&pageSize=" + pageSize)
            .map(function (res) { return res.json(); }), this.http
            .post(this.url + "/preview", {
            userActions: userActions,
            queryString: queryString,
            pageSize: pageSize,
            pageNum: page,
        }).map(function (res) { return res.json(); }), function (oldRecords, newRecords) {
            return {
                oldRecords: oldRecords,
                newRecords: newRecords
            };
        });
    };
    QueryService.prototype.searchRecords = function (query, page, collection, pageSize) {
        return this.http
            .get(this.url + "/search?pageNum=" + page + "&queryString=" + query + "&index=" + collection + "&pageSize=" + pageSize)
            .map(function (res) { return res.json(); })
            .toPromise();
    };
    QueryService.prototype.fetchCollectionSchema = function (selectedCollection) {
        return this.http
            .get(this.schemaUrl + "/" + selectedCollection + ".json")
            .map(function (res) { return res.json(); })
            .toPromise();
    };
    return QueryService;
}());
QueryService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["d" /* Injectable */])(),
    __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* Http */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* Http */]) === "function" && _a || Object])
], QueryService);

var _a;
//# sourceMappingURL=query.service.js.map

/***/ }),

/***/ 223:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserActionsService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var UserActionsService = (function () {
    function UserActionsService() {
        this.userActions = { actions: [], conditions: [] };
    }
    UserActionsService.prototype.addDefaultAction = function (selectedAction, matchType) {
        var action = {
            actionName: selectedAction,
            mainKey: '',
            value: '',
            updateValue: '',
            matchType: matchType
        };
        this.userActions.actions.push(action);
    };
    UserActionsService.prototype.addDefaultCondition = function (matchType) {
        var condition = {
            key: '',
            value: '',
            matchType: matchType
        };
        this.userActions.conditions.push(condition);
    };
    UserActionsService.prototype.removeAction = function (index) {
        this.userActions.actions.splice(index, 1);
    };
    UserActionsService.prototype.removeCondition = function (index) {
        this.userActions.conditions.splice(index, 1);
    };
    UserActionsService.prototype.getUserActions = function () {
        return this.userActions;
    };
    return UserActionsService;
}());
UserActionsService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["d" /* Injectable */])()
], UserActionsService);

//# sourceMappingURL=user-actions.service.js.map

/***/ }),

/***/ 224:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shared_services__ = __webpack_require__(27);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UpdateActionComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var UpdateActionComponent = (function () {
    function UpdateActionComponent(appGlobalsService) {
        this.appGlobalsService = appGlobalsService;
    }
    Object.defineProperty(UpdateActionComponent.prototype, "matchTypes", {
        get: function () {
            return this.appGlobalsService.matchTypes;
        },
        enumerable: true,
        configurable: true
    });
    UpdateActionComponent.prototype.trackByFunction = function (index) {
        return index;
    };
    return UpdateActionComponent;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["P" /* Input */])(),
    __metadata("design:type", typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["b" /* Action */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__shared_interfaces__["b" /* Action */]) === "function" && _a || Object)
], UpdateActionComponent.prototype, "action", void 0);
UpdateActionComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'me-update-action',
        template: __webpack_require__(474),
        styles: [__webpack_require__(318)]
    }),
    __metadata("design:paramtypes", [typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services__["b" /* AppGlobalsService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services__["b" /* AppGlobalsService */]) === "function" && _b || Object])
], UpdateActionComponent);

var _a, _b;
//# sourceMappingURL=update-action.component.js.map

/***/ }),

/***/ 227:
/***/ (function(module, exports) {

function webpackEmptyContext(req) {
	throw new Error("Cannot find module '" + req + "'.");
}
webpackEmptyContext.keys = function() { return []; };
webpackEmptyContext.resolve = webpackEmptyContext;
module.exports = webpackEmptyContext;
webpackEmptyContext.id = 227;


/***/ }),

/***/ 27:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__schema_keys_store_service__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__query_service__ = __webpack_require__(222);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_globals_service__ = __webpack_require__(221);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__user_actions_service__ = __webpack_require__(223);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__json_utils_service__ = __webpack_require__(103);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return __WEBPACK_IMPORTED_MODULE_0__schema_keys_store_service__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return __WEBPACK_IMPORTED_MODULE_1__query_service__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_2__app_globals_service__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return __WEBPACK_IMPORTED_MODULE_3__user_actions_service__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return __WEBPACK_IMPORTED_MODULE_4__json_utils_service__["a"]; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SHARED_SERVICES; });





var SHARED_SERVICES = [
    __WEBPACK_IMPORTED_MODULE_0__schema_keys_store_service__["a" /* SchemaKeysStoreService */],
    __WEBPACK_IMPORTED_MODULE_1__query_service__["a" /* QueryService */],
    __WEBPACK_IMPORTED_MODULE_2__app_globals_service__["a" /* AppGlobalsService */],
    __WEBPACK_IMPORTED_MODULE_3__user_actions_service__["a" /* UserActionsService */],
    __WEBPACK_IMPORTED_MODULE_4__json_utils_service__["a" /* JsonUtilsService */]
];

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 309:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, "", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 310:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, ".button {\n  margin-top: 10px;\n  margin-bottom: 20px;\n  display: inline-block;\n  padding: 4px 6px;\n  font-size: 12px;\n  cursor: pointer;\n  text-align: center;\n  text-decoration: none;\n  outline: none;\n  color: black;\n  background-color: #dae8ef;\n  border-top: 1px gray;\n  border-radius: 5px; }\n\n.button:hover {\n  background-color: #f1f1f1; }\n\n.action {\n  margin-top: 10px;\n  margin-left: 10px; }\n\n.info-text {\n  margin-top: 10px;\n  margin-left: 10px; }\n\n.fa-times {\n  color: gray;\n  cursor: pointer; }\n", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 311:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, "label {\n  padding-left: 15px;\n  text-indent: -15px;\n  display: inline-block; }\n\ninput:focus {\n  background-color: #B6D4DE;\n  border: 1px solid #555; }\n\n.input-field {\n  background-color: #f1f1f1;\n  width: 300px; }\n\n.regex-checkbox {\n  margin-left: 2px; }\n\nselect {\n  width: 100%;\n  border-radius: 4px;\n  background-color: #f1f1f1; }\n\n.button {\n  display: inline-block;\n  padding: 6px 12px;\n  font-size: 12px;\n  cursor: pointer;\n  text-align: center;\n  text-decoration: none;\n  outline: none;\n  color: #FFFFFF;\n  background-color: #E11616;\n  border: none;\n  border-radius: 15px; }\n\n.button:hover {\n  background-color: #FF0000; }\n\n.button:active {\n  background-color: #C41313;\n  -webkit-transform: translateY(2px);\n          transform: translateY(2px); }\n\n.regex {\n  margin-left: 140px; }\n\n.editor {\n  width: 400px;\n  height: 200px; }\n", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 312:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, "", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 313:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, ".inline-input {\n  width: 30%;\n  display: inline-block; }\n", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 314:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, "", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 315:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, "label {\n  padding-left: 15px;\n  text-indent: -15px;\n  display: inline-block; }\n", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 316:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, ".added {\n  color: green;\n  font-weight: bold; }\n\n.removed {\n  color: red;\n  text-decoration: line-through; }\n", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 317:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, ".navbar-default {\n  background-color: #34495e;\n  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.2);\n  margin-bottom: 0px;\n  width: 100%;\n  border-radius: 0;\n  border: 0;\n  padding-right: 15px;\n  padding-left: 15px; }\n", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 318:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(7)();
// imports


// module
exports.push([module.i, "", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ 35:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__condition__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__condition___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__condition__);
/* harmony reexport (binding) */ if(__webpack_require__.o(__WEBPACK_IMPORTED_MODULE_0__condition__, "Condition")) __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__condition__["Condition"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__action__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__action___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__action__);
/* harmony reexport (binding) */ if(__webpack_require__.o(__WEBPACK_IMPORTED_MODULE_1__action__, "Action")) __webpack_require__.d(__webpack_exports__, "b", function() { return __WEBPACK_IMPORTED_MODULE_1__action__["Action"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_actions__ = __webpack_require__(218);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_actions___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2__user_actions__);
/* unused harmony reexport UserActions */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__collection__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__collection___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3__collection__);
/* unused harmony reexport Collection */




//# sourceMappingURL=index.js.map

/***/ }),

/***/ 45:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_immutable__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_immutable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_immutable__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SchemaKeysStoreService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var SchemaKeysStoreService = (function () {
    function SchemaKeysStoreService() {
        this.separator = '/';
        this.schemaKeyStoreMap = {};
        this.recordKeysStoreMap = {};
        this.schema = {};
    }
    SchemaKeysStoreService.prototype.forPath = function (path) {
        if (path === '') {
            return this.schemaKeyStoreMap[''].toArray();
        }
        return this.schemaKeyStoreMap["" + this.separator + path] ? this.schemaKeyStoreMap["" + this.separator + path].toArray() : [];
    };
    SchemaKeysStoreService.prototype.buildSchemaKeyStore = function (schema) {
        this.schema = schema;
        this.buildSchemaKeyStoreRecursively('', schema);
    };
    SchemaKeysStoreService.prototype.buildSchemaKeyStoreRecursively = function (path, schema) {
        var _this = this;
        if (schema['type'] === 'object') {
            var finalKeys = Object.keys(schema['properties']);
            this.schemaKeyStoreMap[path] = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_immutable__["fromJS"])(finalKeys).toOrderedSet();
            finalKeys
                .filter(function (key) { return _this.isObjectOrArraySchema(schema['properties'][key]); })
                .forEach(function (key) {
                var newPath = "" + path + _this.separator + key;
                _this.buildSchemaKeyStoreRecursively(newPath, schema['properties'][key]);
            });
        }
        if (schema['type'] === 'array') {
            if (schema['items']['type'] === 'object') {
                var finalKeys = Object.keys(schema['items']['properties']);
                this.schemaKeyStoreMap[path] = __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_immutable__["fromJS"])(finalKeys).toOrderedSet();
                finalKeys
                    .filter(function (key) { return _this.isObjectOrArraySchema(schema['items']['properties'][key]); })
                    .forEach(function (key) {
                    var newPath = "" + path + _this.separator + key;
                    _this.buildSchemaKeyStoreRecursively(newPath, schema['items']['properties'][key]);
                });
            }
        }
    };
    SchemaKeysStoreService.prototype.isObjectOrArraySchema = function (schema) {
        return schema['type'] === 'object' || schema['type'] === 'array';
    };
    SchemaKeysStoreService.prototype.findSubschema = function (path) {
        var subSchema = this.schema;
        if (path === '') {
            return subSchema;
        }
        var splitPath = path.split('/');
        for (var index in splitPath) {
            if (subSchema['type'] === 'object') {
                if (subSchema['properties'][splitPath[index]]) {
                    subSchema = subSchema['properties'][splitPath[index]];
                }
            }
            else if (subSchema['type'] === 'array') {
                if (subSchema['items']['properties'][splitPath[index]]) {
                    subSchema = subSchema['items']['properties'][splitPath[index]];
                }
            }
        }
        if (subSchema['type'] === 'array') {
            subSchema = subSchema['items'];
        }
        else if (subSchema['type'] !== 'object') {
            // if primitive key then wrap it
            return {
                type: 'object',
                alwaysShow: ['value'],
                properties: {
                    value: subSchema
                }
            };
        }
        return subSchema;
    };
    return SchemaKeysStoreService;
}());
SchemaKeysStoreService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["d" /* Injectable */])(),
    __metadata("design:paramtypes", [])
], SchemaKeysStoreService);

//# sourceMappingURL=schema-keys-store.service.js.map

/***/ }),

/***/ 462:
/***/ (function(module, exports) {

module.exports = "<div class=\"form-group\" [ngSwitch]=\"action.actionName\">\n    <div *ngSwitchCase=\"'Addition'\">\n        <me-addition-action [action]=action></me-addition-action>\n    </div>\n    <div *ngSwitchCase=\"'Update'\">\n        <me-update-action [action]=action></me-update-action>\n    </div>\n    <div *ngSwitchCase=\"'Deletion'\">\n        <me-delete-action [action]=action></me-delete-action>\n    </div>\n</div>"

/***/ }),

/***/ 463:
/***/ (function(module, exports) {

module.exports = "<label>Action</label>\n<div class=\"btn-group\" dropdown>\n  <select class=\"form-control input-sm\" [ngModel]=\"selectedAction\" (ngModelChange)=\"onActionChange($event)\">\n    <option value=\"Addition\">Addition</option>\n    <option value=\"Deletion\">Deletion</option>\n    <option value=\"Update\">Update</option>\n  </select>\n</div>\n<div class=\"me-bar\">\n  Actions\n</div>\n<div class=\"info-text\" [ngSwitch]=\"selectedAction\">\n  <div *ngSwitchCase=\"'Addition'\">\n    <span>Choose the field you'd like to add:</span>\n  </div>\n  <div *ngSwitchCase=\"'Update'\">\n    <span>Choose the field you'd like to replace:</span>\n  </div>\n  <div *ngSwitchCase=\"'Deletion'\">\n    <span>Choose the field you'd like to delete:</span>\n  </div>\n</div>\n<li class=\"list-unstyled\" *ngFor=\"let action of userActions.actions; let count = index \">\n  <div class=\"action\">\n    <form class=\"form-inline\">\n      <me-action [action]=action></me-action>\n      <div *ngIf=\"userActions.actions.length > 1\" class=\"form-group\">\n        <i class=\"fa fa-times fa-1\" (click)=\"onRemoveAction(count)\" aria-hidden=\"true\"></i>\n      </div>\n    </form>\n  </div>\n</li>\n<button class=\"button\" (click)=\"addAction()\">\n  <i class=\"fa fa-plus\"></i> Add</button>\n<div class=\"me-bar\">\n  Conditions\n</div>\n<div class=\"info-text\">\n  <span>Only when:</span>\n</div>\n<li class=\"list-unstyled\" *ngFor=\"let condition of userActions.conditions; let count = index \">\n  <div class=\"action\">\n    <form class=\"form-inline\">\n      <me-conditions class=\"form-group\" [condition]=condition></me-conditions>\n      <div *ngIf=\"userActions.conditions.length > 1\" class=\"form-group\">\n        <i class=\"fa fa-times fa-1\" (click)=\"onRemoveCondition(count)\" aria-hidden=\"true\"></i>\n      </div>\n    </form>\n  </div>\n</li>\n<button class=\"button\" (click)=\"addCondition()\">\n  <i class=\"fa fa-plus\"></i> Add</button>\n"

/***/ }),

/***/ 464:
/***/ (function(module, exports) {

module.exports = "<form class=\"form-inline\">\n  <label class=\"form-group\">Field:</label>\n  <div class=\"form-group\">\n    <me-autocomplete-input *ngIf=\"isEditorVisible === false\" type=\"text\" name=\"key\"\n                           (valueChange)=\"onValueChange($event)\" className=\"form-control input-sm\" placeholder=\"field key\"></me-autocomplete-input>\n    <div *ngIf=\"isEditorVisible === true\">\n      <div class=\"editor\">\n        <json-editor [config]=\"{compact:true}\" [schema]=\"subSchema\" [record]=\"record\" (recordChange)=\"saveRecord($event)\"></json-editor>\n      </div>\n      <button (click)=\"closeEditor()\" class=\"btn btn-default \" type=\"button\">Done</button>\n    </div>\n  </div>\n</form>\n"

/***/ }),

/***/ 465:
/***/ (function(module, exports) {

module.exports = "<me-multi-editor></me-multi-editor>\n"

/***/ }),

/***/ 466:
/***/ (function(module, exports) {

module.exports = "<input [(ngModel)]=\"value\" [typeahead]=\"dataSource\" (typeaheadNoResults)=\"typeaheadNoResults = $event\"\n       (typeaheadOnSelect)=\"selectUserInput($event)\" [attr.class]=\"className\" [typeaheadMinLength]=\"0\" [placeholder]=\"placeholder\">\n<div *ngIf=\"typeaheadNoResults===true\">\n  <i class=\"fa fa-remove\"></i> No Results Found\n</div>"

/***/ }),

/***/ 467:
/***/ (function(module, exports) {

module.exports = "<form class=\"form-inline\">\n  <label class=\"form-group\">Field:</label>\n  <div class=\"form-group\">\n    <me-autocomplete-input type=\"text\" name=\"key\"\n                           (valueChange)=\"condition.key = $event\" className=\"form-control input-sm\" placeholder=\"field key\">\n    </me-autocomplete-input>\n  </div>\n  <div class=\"form-group\">\n    <div class=\"btn-group dropdown\">\n      <select class=\"form-control selector input-sm\" name=\"matchSelector\" [(ngModel)]=\"condition.matchType\">\n        <option *ngFor=\"let matchType of matchTypes\" [ngValue]=\"matchType\"> {{matchType}} </option>\n      </select>\n    </div>\n  </div>\n  <div class=\"form-group\">\n    <input type=\"text\" name=\"value\" [(ngModel)]=\"condition.value\" class=\"form-control input-sm\" placeholder=\"condition value\">\n  </div>\n  <div *ngIf=\"canDelete\" class=\"form-group\">\n    <i class=\"fa fa-times\" (click)=\"deleteElement()\" aria-hidden=\"true\"></i>\n  </div>\n</form>\n"

/***/ }),

/***/ 468:
/***/ (function(module, exports) {

module.exports = "<form class=\"form-inline\">\n      <label class=\"form-group\">Field:</label>\n    <div class=\"form-group\">\n      <me-autocomplete-input type=\"text\" name=\"key\"\n                             (valueChange)=\"action.mainKey = $event\" className=\"form-control input-sm\" placeholder=\"field key\">\n      </me-autocomplete-input>\n    </div>\n    <span class=\"form-group\">when value</span>\n    <div class=\"form-group\">\n        <select class=\"form-control input-sm\" name=\"matchType\" [(ngModel)]=\"action.matchType\">\n          <option *ngFor=\"let matchType of matchTypes\" [ngValue]=\"matchType\"> {{matchType}} </option>\n        </select>\n    </div>\n    <div class=\"form-group\">\n      <input type=\"text\" name=\"value\" [(ngModel)]=\"action.updateValue\" class=\"form-control input-sm\" placeholder=\"value to delete\">\n    </div>\n</form>\n"

/***/ }),

/***/ 469:
/***/ (function(module, exports) {

module.exports = "<pre><span *ngFor=\"let diff of diffObjects\"\n     [ngClass]=\"{added: diff.added, removed: diff.removed}\">\n     {{diff.value}}</span></pre>"

/***/ }),

/***/ 470:
/***/ (function(module, exports) {

module.exports = "<nav class=\"navbar navbar-default\" id=\"editor-toolbar\">\n  <form class=\"form-inline\">\n    <me-editor-toolbar-save></me-editor-toolbar-save>\n    <span class=\"col-xs-offset-1\">\n      <me-editor-toolbar-search (onSearchRecordClick)=\"_onSearchRecordClick($event)\" (onCollectionChange)=\"_onCollectionChange($event)\"></me-editor-toolbar-search>\n    </span>\n  </form>\n</nav>\n"

/***/ }),

/***/ 471:
/***/ (function(module, exports) {

module.exports = "<button type=\"button\" class=\"btn btn-default navbar-btn btn-success\"><i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i>Save</button>\n"

/***/ }),

/***/ 472:
/***/ (function(module, exports) {

module.exports = "<select class=\"form-control\" name=\"collections\" [ngModel]=\"selectedCollection\" (ngModelChange)=\"_onCollectionChange($event)\">\n  <option *ngFor=\"let collection of collections\" [ngValue]=\"collection.name\"> {{collection.value}} </option>\n</select>\n<div class=\"input-group\">\n  <input type=\"text\" [(ngModel)]=\"query\" class=\"form-control\" (keyup.enter)=\"_onSearchRecordClick(query)\" placeholder=\"Search records\">\n  <span class=\"input-group-btn\">\n    <button (click)=\"_onSearchRecordClick($event)\" class=\"btn btn-default\" type=\"button\"><span class=\"glyphicon glyphicon-search\"></span></button>\n  </span>\n</div>\n"

/***/ }),

/***/ 473:
/***/ (function(module, exports) {

module.exports = "<me-editor-toolbar-container (onSearchRecordClick)=\"searchRecords(query)\" (onCollectionChange)=\"onCollectionChange($event)\"></me-editor-toolbar-container>\n<div class=\"container me-container\">\n  <me-actions></me-actions>\n  <div class=\"me-bar\">\n    Results\n  </div>\n\n  <ul class=\"list-unstyled\">\n    <div *ngIf=\"totalRecords === 0\">\n      <h3>Sorry no results found</h3>\n    </div>\n\n    <div *ngIf=\"totalRecords > 0\">\n      <div class=\"tag-filter\">\n        <label>Show only:</label>\n        <me-autocomplete-input type=\"text\" name=\"key\"\n                               (valueChange)=\"filterExpression = $event\" className=\"form-control input-sm inline-input\" placeholder=\"field key\">\n        </me-autocomplete-input>\n      </div>\n      <div class=\"preview-border\">\n        <button class=\"btn-success button\" (click)=\"onPreviewClick()\">Preview</button>\n      </div>\n      <div class=\"row \">\n        <div class=\"col-md-2\">\n          <span>\n            <input class=\"results-checkbox\" type=\"checkbox\" [checked]=\"checkedRecords.length === 0\" (change)=\"selectAll()\"> Select all results\n          </span>\n        </div>\n        <div class=\"col-md-2  col-md-offset-5\">\n          <span class=\"results-record-num\">{{totalRecords}} records found</span>\n        </div>\n        <div class=\"col-md-3\">\n          <pagination [totalItems]=\"totalRecords\" [(ngModel)]=\"currentPage\" [maxSize]=\"3\" class=\"pagination-md\" [boundaryLinks]=\"false\"\n            [rotate]=\"false\" (pageChanged)=\"onPageChange($event.page)\" [itemsPerPage]=\"pageSize\" [align]=\"false\"></pagination>\n        </div>\n      </div>\n      <li *ngFor=\"let record of records | tagFilter:filterExpression; let count = index; trackBy: trackByFunction\" class=\"list-group list-group-item\">\n        <input type=\"checkbox\" [checked]=\"checkedRecords.indexOf(uuids[count]) === -1\" (change)=\"addChecked(uuids[count])\">\n        <div *ngIf=\"previewMode === false;then recordView else diffView\"></div>\n        <ng-template #diffView>\n          <div *ngIf=\"recordErrors[count]\">\n            <span class=\"error\">{{recordErrors[count]}} tagme</span>\n          </div>\n          <me-diff-view [oldObject]=\"record\" [newObject]=\"filterNewRecord(newRecords[count])\"></me-diff-view>\n        </ng-template>\n        <ng-template #recordView>\n          <pre>{{record | json}} </pre>\n        </ng-template>\n\n      </li>\n      <pagination class=\"align-right\" [totalItems]=\"totalRecords\" [(ngModel)]=\"currentPage\" [maxSize]=\"3\" class=\"pagination-md\"\n        [boundaryLinks]=\"false\" [rotate]=\"false\" [itemsPerPage]=\"pageSize\" [align]=\"false\"></pagination>\n    </div>\n  </ul>\n</div>"

/***/ }),

/***/ 474:
/***/ (function(module, exports) {

module.exports = "<form class=\"form-inline\">\n  <label class=\"form-group\">Field:</label>\n  <div class=\"form-group\">\n    <me-autocomplete-input type=\"text\" name=\"key\" \n                           (valueChange)=\"action.mainKey = $event\" className=\"form-control input-sm\" placeholder=\"field key\">\n    </me-autocomplete-input>\n  </div>\n  <span class=\"form-group\">when value</span>\n  <div class=\"form-group\">\n    <select class=\"form-control input-sm\" name=\"matchType\" [(ngModel)]=\"action.matchType\">\n      <option *ngFor=\"let matchType of matchTypes\" [ngValue]=\"matchType\"> {{matchType}} </option>\n    </select>\n  </div>\n  <div class=\"form-group\">\n    <input type=\"text\" name=\"updateValue\" [(ngModel)]=\"action.updateValue\" class=\"form-control input-sm\" placeholder=\"replace value\">\n  </div>\n  <span class=\"form-group \">replace it with</span>\n  <div class=\"form-group\">\n    <input type=\"text\" name=\"value\" [(ngModel)]=\"action.value\" class=\"form-control input-sm\" placeholder=\"new value\">\n  </div>\n</form>\n"

/***/ }),

/***/ 543:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(191);


/***/ })

},[543]);
//# sourceMappingURL=main.bundle.js.map